Summary:     Handy library of utility functions
Name:        glib
Version:     1.2.10
Release:     1
Epoch:       1
License:     LGPL
Group:       System Environment/Libraries
Source:      ftp://ftp.gimp.org/pub/gtk/v1.1/%{name}-%{version}.tar.gz
BuildRoot:   %{_tmpdir}/%{name}-%{version}-root
URL:         http://www.gtk.org

%description
Handy library of utility functions.  Development libs and headers
are in glib-devel.

%package devel
Summary:    GIMP Toolkit and GIMP Drawing Kit support library
Group:      Development/Libraries
Requires:   %name = %version

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --libdir=%{_libdir} --includedir=%{_includedir} \
    --mandir=%{_mandir} --datadir=%{_datadir} --bindir=%{_bindir}

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    bindir=$RPM_BUILD_ROOT%{_bindir} install 

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libglib-1.2.so.*
%{_libdir}/libgthread-1.2.so.*
%{_libdir}/libgmodule-1.2.so.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/glib
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/*
%{_bindir}/*


%changelog
* Tue Aug 14 2001 Gregory Leblanc <gleblanc@linuxweasel.com
- changed release and buildroot

* Tue Jun  5 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- removed unnecessary %defines
- added the epoch (damn)

* Sun Apr 29 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- changed group to System Environment/Libraries and Development/Libraries
  and changed Copyright to License

* Thu Feb 22 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixed hard-coded paths and macros

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package
